トッピング取得
GET
/toppings/{topping_id}
const url = 'https://api.smaregi.dev/TARGET-CONTRACT-ID/waiter/toppings/example';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.smaregi.dev/TARGET-CONTRACT-ID/waiter/toppings/example \ --header 'Authorization: Bearer <token>'トッピング情報を取得します
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”topping_id
required
string
トッピングID
Responses
Section titled “Responses”OK
Media typeapplication/json
Topping
トッピング情報
object
id
required
トッピングID
string
name
トッピング名
string
kana
トッピング名(カナ)
string
categoryId
カテゴリーID
string
note
トッピング説明
string
sortNo
ソート番号
integer
applyDatetime
適用開始日時[YYYY-MM-DDThh:mm:ssTZD]
string
isOpenPrice
true:注文時に価格決定するfalse:設定価格で注文する
boolean
createdIn
作成元サービス
string
prices
Array
PriceSettingobject
taxRate
税率
number
taxType
税種別
normal:標準reduced:軽減none:非課税
string
amount
金額
string
tax
金額の税情報
include: 税込exclude: 税抜none: 非課税
※ 注文のリクエストボディで指定できる tax (金額の税情報)と単語が一致していませんのでご注意ください。
※ テーブル利用セクション、注文セクションのレスポンスに含まれる sellingPrice<NewOrderItemPrice> の tax (金額の税情報)と単語が一致していません。
string
primary
複数価格存在する場合の初期選択設定
true:初期選択値false:初期選択でない
boolean
Examples
Exampleレスポンス例
{ "id": "12", "name": "チーズ", "kana": "チーズ", "categoryId": "5", "note": "", "sortNo": 1, "applyDatetime": "2020-07-01T10:00:00+09:00", "isOpenPrice": false, "createdIn": "waiter", "prices": [ { "taxRate": 10, "taxType": "normal", "amount": "50", "tax": "exclude", "primary": true } ]}指定したデータが存在しない場合
Media typeapplication/json
object
title
required
string
type
required
string
status
integer
detail
string
Examplegenerated
{ "title": "example", "type": "example", "status": 1, "detail": "example"}